angular.module('dokterSehat.directive.global', [])

.directive('errorSrc', function () {
    var errorSrc = {
        link: function postLink(scope, iElement, iAttrs) {
            iElement.bind('error', function() {
                angular.element(this).attr("src", iAttrs.errorSrc);
            });
        }
    }
});

angular.module('dokterSehat.service.global', [])

.service('ValidURL', function () {
    this.check = function(url){
      var pattern = new RegExp('^(https?:\\/\\/)?'+ // protocol
      '((([a-z\\d]([a-z\\d-]*[a-z\\d])*)\\.)+[a-z]{2,}|'+ // domain name
      '((\\d{1,3}\\.){3}\\d{1,3}))'+ // OR ip (v4) address
      '(\\:\\d+)?(\\/[-a-z\\d%_.~+]*)*'+ // port and path
      '(\\?[;&a-z\\d%_.~+=-]*)?'+ // query string
      '(\\#[-a-z\\d_]*)?$','i'); // fragment locator

      if(pattern.test(url)) {
        return true;
      }

      return false;
    }
});
