angular.module('dokterSehat.controllers.aboutUs', [])

.controller('aboutUsController', function($scope, $stateParams, GlobalURL, BalancedHTTP, BalancedAlert) {
  //Google Analytics
  ga_storage._trackPageview('About Us Overview Page');

  $scope.contentLoaded = false;

  //set url
  var url = GlobalURL.get() + "/modules/about_us/_ext_get_head.php";
  //get posts data
  BalancedHTTP.get(url).then(
      function(response){
        $scope.contentLoaded = true;
        if(response.data.status == 1){
          $scope.data = response.data.data;
        }else{
          BalancedAlert.alert('Sync Failed', response.data.message, 'Ok');
        }
      },
      function(response){
        $scope.contentLoaded = true;
        BalancedAlert.alert('Sync Failed', response.data, 'Ok');
      });

  $scope.contactUs = function() {
        device.model = device.model.split(",")[0];
        var message = "Technical Details - Device: " + device.model + ", " + device.platform + " " + device.version + "\n App Version: 1.0";
        window.plugin.email.open({
            to:      ['info@doktersehat.com'],
            cc:      [''],
            bcc:     [''],
            subject: 'DokterSehat App Contact Us Form',
            body:    message
        });
    };
})

.controller('aboutUsDetailsController', function($scope, $sce, $stateParams, GlobalURL, BalancedHTTP, BalancedAlert) {
  $scope.contentLoaded = false;

  var id = $stateParams.id;

  //set url
  var url = GlobalURL.get() + "/modules/about_us/_ext_get_details.php";
  //set data
  var data = {post_id: id};
  //get posts data
  BalancedHTTP.post(url,data).then(
      function(response){
        $scope.contentLoaded = true;
        if(response.data.status == 1){
          $scope.data = response.data.data;
          //Google Analytics
          var gaPageTitle = "About Us Details - " + response.data.data.title + " Page";
          ga_storage._trackPageview(gaPageTitle);
        }else{
          BalancedAlert.alert('Sync Failed', response.data.message, 'Ok');
        }
      },
      function(response){
        $scope.contentLoaded = true;
        BalancedAlert.alert('Sync Failed', response.data, 'Ok');
      });
});
