balanced.service('BalancedAlert', function(){

  this.alert = function(title, message, button){
    navigator.notification.alert(message,function(){console.log("success");},title,button);
  };

  this.confirm = function(title, message, positiveButton, negativeButton){
    navigator.notification.confirm(message,function(){console.log("success");},title,[positiveButton,negativeButton]);
  };

  this.prompt = function(title, message, positiveButton, negativeButton, defaultText, callback){
    navigator.notification.prompt(message, callback ,title, [positiveButton,negativeButton], defaultText);
  };

});
