balanced.service('BalancedHTTP', function($http, $q, BalancedAlert){

  //transform request from JSON format to HTTP Form Data format
  var transform = function(data){
      // return $.param(data);
      var str = [];
      for(var p in data)
      str.push(encodeURIComponent(p) + "=" + encodeURIComponent(data[p]));
      return str.join("&");
  }

  this.get = function(url){
      var def = $q.defer();

      var response = new Array();

      //check internet connection
      // if(!checkConnection()){
      //   alert("You are not connected to the internet");
      // }else{
        //if connected to internet
        $http.get(url).
        success(function(data, status, headers, config) {
          // this callback will be called asynchronously
          // when the response is available
          response["status"] = status;
          response["data"] = data;
          response["headers"] = headers;
          def.resolve(response);
        }).
        error(function(data, status, headers, config) {
          // called asynchronously if an error occurs
          // or server returns response with an error status.
          response["status"] = status;
          response["data"] = data;
          response["headers"] = headers;
          def.resolve(response);
        });
      //}

      return def.promise;
  };

  /*this.post = function(url, data){
      //check internet connection
      // if(!checkConnection()){
      //   alert("You are not connected to the internet");
      // }else{
      //   //if connected to internet
      //check internet connection
      var def = $q.defer();
      var response = new Array();

      if(navigator.onLine){

        var timeout = $q.defer();
        var timedOut = false;
        var sent = false;
        //set the timer to 30 seconds
        setTimeout(function () {
            timedOut = true;
            timeout.resolve();
        }, (1000 * 60));

        if (timedOut && !sent) {
            BalancedAlert.alert("Server Busy", "Sorry there is connection problem, please try again later", "Ok");
            def.reject();
        }

        //if connected to internet
        $http.post(url, data, {
            headers: { 'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'},
            transformRequest: transform, timeout: timeout.promise
        }).
        success(function(data, status, headers, config) {
          // this callback will be called asynchronously
          // when the response is available
          response["status"] = status;
          response["data"] = data;
          response["headers"] = headers;
          sent = true;
          def.resolve(response);
        }).
        error(function(data, status, headers, config) {
          // called asynchronously if an error occurs
          // or server returns response with an error status.
          if (timedOut && !sent) {
              response["status"] = 6;
              response["data"] = "Time Out";
              BalancedAlert.alert("Server Busy", "Sorry there is connection problem, please try again later", "Ok");
              def.reject(response);
          } else {
              response["status"] = status;
              // response["data"] = data;
              response["data"] = "Sorry there is connection problem, please try again later";
              response["headers"] = headers;
              sent = true;
              def.reject(response);
          }
          // response["status"] = status;
          // response["data"] = data;
          // response["headers"] = headers;
          // def.resolve(response);
        });
      }else{
        BalancedAlert.alert("No Connection", "You are not connected to the Internet.", "Ok");
        response["data"] = "No Internet Connection";
        def.reject(response);
      }

      return def.promise;
  };*/

  this.post = function(url, data){
      //check internet connection
      var def = $q.defer();
      var response = new Array();

      // if(navigator.onLine){

        // var timeout = $q.defer();
        // var timedOut = false;
        // var sent = false;
        // //set the timer to 30 seconds
        // setTimeout(function () {
        //     timedOut = true;
        //     timeout.resolve();
        // }, (1000 * 60));
        //
        // if (timedOut && !sent) {
        //     BalancedAlert.alert("Server Busy", "Sorry there is connection problem, please try again later", "Ok");
        //     def.reject();
        // }

        //if connected to internet
        $http.post(url, data, {
            headers: { 'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'},
            transformRequest: transform
        }).
        success(function(data, status, headers, config) {
          // this callback will be called asynchronously
          // when the response is available
          response["status"] = status;
          response["data"] = data;
          response["headers"] = headers;
          // sent = true;
          def.resolve(response);
        }).
        error(function(data, status, headers, config) {
          // called asynchronously if an error occurs
          // or server returns response with an error status.
          // if (timedOut && !sent) {
          //     response["status"] = 6;
          //     response["data"] = "Time Out";
          //     BalancedAlert.alert("Server Busy", "Sorry there is connection problem, please try again later", "Ok");
          //     def.reject(response);
          // } else {
          //     response["status"] = status;
          //     response["data"] = "Sorry there is connection problem, please try again later";
          //     response["headers"] = headers;
          //     sent = true;
          //     def.reject(response);
          // }
          response["status"] = status;
          response["data"] = "Sorry there is connection problem, please try again later";
          response["headers"] = headers;
          def.reject(response);
        });
      // }else{
      //   BalancedAlert.alert("No Connection", "You are not connected to the Internet.", "Ok");
      //   response["data"] = "No Internet Connection";
      //   def.reject(response);
      // }

      return def.promise;
  };


  //use cordova plugin to check network state
  function checkConnection() {
      networkState = navigator.connection.type;
      if(networkState == Connection.NONE){
        return false;
      }else{
        return true;
      }
  };

});
